# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'AndroidLoop'
        db.create_table('android_build_androidloop', (
            ('loop_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['frontend.Loop'], unique=True, primary_key=True)),
            ('build_type', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('manifest_repo', self.gf('django.db.models.fields.CharField')(default='git://android.git.kernel.org/platform/manifest.git', max_length=255)),
            ('manifest_branch', self.gf('django.db.models.fields.CharField')(default='master', max_length=50)),
            ('repo_quiet', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('manifest_filename', self.gf('django.db.models.fields.CharField')(default='default.xml', max_length=255)),
            ('make_targets', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('make_jobs', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('ramdisk_size', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('external_tarball', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('build_fs_image', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('fs_image_size', self.gf('django.db.models.fields.CharField')(default='2G', max_length=20, blank=True)),
            ('user_defined_values', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('toolchain_url', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('target_product', self.gf('django.db.models.fields.CharField')(max_length=50, blank=True)),
            ('target_tools_prefix', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('binutils_version', self.gf('django.db.models.fields.CharField')(default='2.20.1', max_length=25)),
            ('binutils_url', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('gcc_version', self.gf('django.db.models.fields.CharField')(default='4.4.0', max_length=25)),
            ('gcc_url', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('sysroot_ndk_url', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('lava_submit', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('lava_test_plan', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('lava_submit_fatal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('lava_android_binaries', self.gf('django.db.models.fields.BooleanField')(default=True)),
        ))
        db.send_create_signal('android_build', ['AndroidLoop'])


    def backwards(self, orm):
        
        # Deleting model 'AndroidLoop'
        db.delete_table('android_build_androidloop')


    models = {
        'android_build.androidloop': {
            'Meta': {'object_name': 'AndroidLoop', '_ormbases': ['frontend.Loop']},
            'binutils_url': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'binutils_version': ('django.db.models.fields.CharField', [], {'default': "'2.20.1'", 'max_length': '25'}),
            'build_fs_image': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'build_type': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'external_tarball': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'fs_image_size': ('django.db.models.fields.CharField', [], {'default': "'2G'", 'max_length': '20', 'blank': 'True'}),
            'gcc_url': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'gcc_version': ('django.db.models.fields.CharField', [], {'default': "'4.4.0'", 'max_length': '25'}),
            'lava_android_binaries': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'lava_submit': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'lava_submit_fatal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'lava_test_plan': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'loop_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['frontend.Loop']", 'unique': 'True', 'primary_key': 'True'}),
            'make_jobs': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'make_targets': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'manifest_branch': ('django.db.models.fields.CharField', [], {'default': "'master'", 'max_length': '50'}),
            'manifest_filename': ('django.db.models.fields.CharField', [], {'default': "'default.xml'", 'max_length': '255'}),
            'manifest_repo': ('django.db.models.fields.CharField', [], {'default': "'git://android.git.kernel.org/platform/manifest.git'", 'max_length': '255'}),
            'ramdisk_size': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'repo_quiet': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'sysroot_ndk_url': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'target_product': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            'target_tools_prefix': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'toolchain_url': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'user_defined_values': ('django.db.models.fields.TextField', [], {'blank': 'True'})
        },
        'frontend.loop': {
            'Meta': {'object_name': 'Loop'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'server': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['jenkinsserver.JenkinsServer']"})
        },
        'jenkinsserver.jenkinsserver': {
            'Meta': {'object_name': 'JenkinsServer'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['android_build']
