# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls.defaults import patterns, url
from frontend.android_build.views.android_loop_create_view \
    import AndroidLoopCreateView
from frontend.android_build.views.android_loop_update_view \
    import AndroidLoopUpdateView
from frontend.android_build.views.android_loop_detail_view \
    import AndroidLoopDetailView
from frontend.android_build.views.android_loop_build_view \
    import AndroidLoopBuildView


urlpatterns = patterns('',
    url(r'^android/create/$',
        AndroidLoopCreateView.as_view(), name='AndroidLoopCreate'),
    url(r'^android/detail/(?P<slug>[\w|\W]+)/$',
        AndroidLoopDetailView.as_view(), name='AndroidLoopDetail'),
    url(r'^android/update/(?P<slug>[\w|\W]+)/$',
        AndroidLoopUpdateView.as_view(), name='AndroidLoopUpdate'),
    url(r'^android/build/(?P<slug>[\w|\W]+)/$',
        AndroidLoopBuildView.as_view(), name='AndroidLoopBuild'),
)
