# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from frontend.models.textfield_loop import TextFieldLoop
from frontend.models.loop_reference import ANDROID_LOOP


class AndroidTextFieldLoop(TextFieldLoop):
    class Meta:
        app_label = 'android_textfield_loop'

    def save(self, *args, **kwargs):
        self.type = self.__class__.__name__
        super(self.__class__, self).save(*args, **kwargs)

    @staticmethod
    def can_chain_into():
        chain = [ANDROID_LOOP]
        return chain

    def save(self, *args, **kwargs):
        self.type = self.__class__.__name__
        super(AndroidTextFieldLoop, self).save(*args, **kwargs)
