# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.
from django.test import TestCase
from mock import MagicMock

from frontend.android_textfield_loop.views.android_textfield_loop_create_view \
    import AndroidTextFieldLoopCreateView
from frontend.android_textfield_loop.views.android_textfield_loop_detail_view \
    import AndroidTextFieldLoopDetailView
from frontend.android_textfield_loop.views.android_textfield_loop_update_view \
    import AndroidTextFieldLoopUpdateView


class AndroidTextFieldViewsTest(TestCase):

    def setUp(self):
        self.mock_loop = MagicMock()

    def test_create_view_get_context_data(self):
        android_textfield_create_view = AndroidTextFieldLoopCreateView()
        android_textfield_create_view.request = "some request data"
        android_textfield_create_view.object = self.mock_loop
        context = AndroidTextFieldLoopCreateView.get_context_data(
            android_textfield_create_view)
        self.assertEqual(context['request'], "some request data")
        self.assertEqual(context['form_name'],
                         AndroidTextFieldLoopCreateView.form_name)

    def test_detail_view_get_context_data(self):
        android_textfield_detail_view = AndroidTextFieldLoopDetailView()
        android_textfield_detail_view.request = "some request data"
        android_textfield_detail_view.object = self.mock_loop
        context = AndroidTextFieldLoopDetailView.get_context_data(
            android_textfield_detail_view)
        self.assertEqual(context['request'], "some request data")
        self.assertEqual(context['builds'].__class__.__name__, "MagicMock")

    def test_update_view_get_context_data(self):
        android_textfield_update_view = AndroidTextFieldLoopUpdateView()
        android_textfield_update_view.request = "some request data"
        android_textfield_update_view.object = self.mock_loop
        context = AndroidTextFieldLoopUpdateView.get_context_data(
            android_textfield_update_view)
        self.assertEqual(context['request'], "some request data")
        self.assertEqual(context['form_name'],
                         AndroidTextFieldLoopUpdateView.form_name)
