# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.forms import ModelForm
from django.forms import ValidationError
from frontend.models.textfield_loop import (
    TextFieldLoop,
    DEFAULT_DELIMITER,
    )


class TextFieldLoopForm(ModelForm):
    class Meta:
        model = TextFieldLoop
        exclude = ('server', 'type')

    def clean(self):
        cleaned_data = super(TextFieldLoopForm, self).clean()
        values = cleaned_data.get('values')
        if values:
            valid , _ = self.instance.valid_values(values)
            if not valid:
                raise ValidationError("Wrong delimiter used: please use the "
                                      "%s character as delimiter." %
                                      DEFAULT_DELIMITER)
        return cleaned_data
