# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'IntegrationLoop'
        db.create_table('integration_loop_integrationloop', (
            ('loop_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['frontend.Loop'], unique=True, primary_key=True)),
            ('branch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('precommand', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('command', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('integration_loop', ['IntegrationLoop'])


    def backwards(self, orm):
        
        # Deleting model 'IntegrationLoop'
        db.delete_table('integration_loop_integrationloop')


    models = {
        'frontend.loop': {
            'Meta': {'object_name': 'Loop'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'server': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['jenkinsserver.JenkinsServer']"})
        },
        'integration_loop.integrationloop': {
            'Meta': {'object_name': 'IntegrationLoop', '_ormbases': ['frontend.Loop']},
            'branch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'command': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'loop_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['frontend.Loop']", 'unique': 'True', 'primary_key': 'True'}),
            'precommand': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'jenkinsserver.jenkinsserver': {
            'Meta': {'object_name': 'JenkinsServer'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['integration_loop']
