#!/usr/bin/env python
# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.db import models
from frontend.models.loop import Loop
from jenkinsserver.models.jenkins_server import JenkinsServer


class IntegrationLoop(Loop):
    class Meta:
        app_label = 'integration_loop'

    branch = models.CharField(max_length=200)
    precommand = models.CharField(max_length=200)
    command = models.CharField(max_length=200)

    def save(self, *args, **kwargs):
        self.server = JenkinsServer.objects.get(id=1)
        self.type = self.__class__.__name__
        super(self.__class__, self).save(*args, **kwargs)
        # We do not want a failure in remote server to affect the
        # CI Loop flow.
        try:
            self.server.create_or_update_loop(self)
        except:
            # TODO: Log error.
            pass

    def __repr__(self):
        return "IntegrationLoop(id=%d, branch=%s, ...)" % (self.id,
                                                           self.branch)
