# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls.defaults import patterns, url
from frontend.integration_loop.views.integration_loop_create_view \
    import IntegrationLoopCreateView
from frontend.integration_loop.views.integration_loop_update_view \
    import IntegrationLoopUpdateView
from frontend.integration_loop.views.integration_loop_detail_view \
    import IntegrationLoopDetailView
from frontend.integration_loop.views.integration_loop_build_view \
    import IntegrationLoopBuildView


urlpatterns = patterns('',
    url(r'^integration_loop/create/$',
        IntegrationLoopCreateView.as_view(), name='IntegrationLoopCreate'),
    url(r'^integration_loop/detail/(?P<slug>[\w|\W]+)/$',
        IntegrationLoopDetailView.as_view(), name='IntegrationLoopDetail'),
    url(r'^integration_loop/update/(?P<slug>[\w|\W]+)/$',
        IntegrationLoopUpdateView.as_view(), name='IntegrationLoopUpdate'),
    url(r'^integration_loop/build/(?P<slug>[\w|\W]+)/$',
        IntegrationLoopBuildView.as_view(), name='IntegrationLoopBuild'),

)
