#!/usr/bin/env python
# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.contrib.auth.decorators import login_required
from django.views.generic.detail import DetailView
from django.utils.decorators import method_decorator
from frontend.integration_loop.models.integration_loop import IntegrationLoop


class IntegrationLoopDetailView(DetailView):

    model = IntegrationLoop
    context_object_name = 'integration_loop_detail'
    slug_field = "name"
    template_name = "integration_loop_detail.html"

    @method_decorator(login_required)
    def dispatch(self, *args, **kwargs):
        return super(IntegrationLoopDetailView, self).dispatch(*args, **kwargs)

    def get_context_data(self, **kwargs):
        '''Get the context data passed to template.'''
        context = super(IntegrationLoopDetailView,
                        self).get_context_data(**kwargs)
        context['request'] = self.request
        context['builds'] = self.object.loop_ptr.loopbuild_set.all()
        return context
