#!/usr/bin/env python
# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.forms import CharField
from django.forms import IntegerField
from django.forms import ModelForm
from django.forms.widgets import HiddenInput
from frontend.kernel_build.models.kernel_loop import KernelLoop
from frontend.widgets.chain_loop_widget import ChainLoopWidget


class KernelLoopForm(ModelForm):

    next_loop = IntegerField(widget=ChainLoopWidget, required=False)
    type = CharField(widget=HiddenInput, initial=KernelLoop.__name__,
                     required=False)

    class Meta:
        model = KernelLoop
        exclude = ('server')

    def save(self, *args, **kwargs):
        instance = super(KernelLoopForm, self).save(commit=False)

        if self.data["next_loop_0"]:
            next_loop = Loop.objects.get(id=self.data["next_loop_0"])
            instance.next_loop = next_loop

        instance.save()

        return instance
