# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'KernelLoop'
        db.create_table('kernel_build_kernelloop', (
            ('loop_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['frontend.Loop'], unique=True, primary_key=True)),
            ('build_tools_branch', self.gf('django.db.models.fields.CharField')(default='lp:linaro-ci', max_length=200)),
            ('kernel_git_repo', self.gf('django.db.models.fields.CharField')(default=('git://git.linaro.org/kernel/linux-linaro-tracking.git', 'Linux Linaro Tracking'), max_length=255)),
            ('kernel_branch', self.gf('django.db.models.fields.CharField')(default=('linux-linaro', 'linux-linaro Branch'), max_length=100)),
            ('kernel_config', self.gf('django.db.models.fields.CharField')(default='omap2plus_defconfig', max_length=100)),
            ('hwpack_type', self.gf('django.db.models.fields.CharField')(default=('panda', 'Pandaboard'), max_length=50)),
            ('board_type', self.gf('django.db.models.fields.CharField')(default=('panda', 'Pandaboard'), max_length=50)),
            ('kernel_flavour', self.gf('django.db.models.fields.CharField')(default='omap', max_length=50)),
            ('rootfs_type', self.gf('django.db.models.fields.CharField')(default='nano', max_length=100)),
        ))
        db.send_create_signal('kernel_build', ['KernelLoop'])


    def backwards(self, orm):
        
        # Deleting model 'KernelLoop'
        db.delete_table('kernel_build_kernelloop')


    models = {
        'frontend.loop': {
            'Meta': {'object_name': 'Loop'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'server': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['jenkinsserver.JenkinsServer']"})
        },
        'jenkinsserver.jenkinsserver': {
            'Meta': {'object_name': 'JenkinsServer'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'kernel_build.kernelloop': {
            'Meta': {'object_name': 'KernelLoop', '_ormbases': ['frontend.Loop']},
            'board_type': ('django.db.models.fields.CharField', [], {'default': "('panda', 'Pandaboard')", 'max_length': '50'}),
            'build_tools_branch': ('django.db.models.fields.CharField', [], {'default': "'lp:linaro-ci'", 'max_length': '200'}),
            'hwpack_type': ('django.db.models.fields.CharField', [], {'default': "('panda', 'Pandaboard')", 'max_length': '50'}),
            'kernel_branch': ('django.db.models.fields.CharField', [], {'default': "('linux-linaro', 'linux-linaro Branch')", 'max_length': '100'}),
            'kernel_config': ('django.db.models.fields.CharField', [], {'default': "'omap2plus_defconfig'", 'max_length': '100'}),
            'kernel_flavour': ('django.db.models.fields.CharField', [], {'default': "'omap'", 'max_length': '50'}),
            'kernel_git_repo': ('django.db.models.fields.CharField', [], {'default': "('git://git.linaro.org/kernel/linux-linaro-tracking.git', 'Linux Linaro Tracking')", 'max_length': '255'}),
            'loop_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['frontend.Loop']", 'unique': 'True', 'primary_key': 'True'}),
            'rootfs_type': ('django.db.models.fields.CharField', [], {'default': "'nano'", 'max_length': '100'})
        }
    }

    complete_apps = ['kernel_build']
