# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls.defaults import patterns, include, url
from frontend.kernel_build.views.kernel_loop_create_view \
    import KernelLoopCreateView
from frontend.kernel_build.views.kernel_loop_update_view \
    import KernelLoopUpdateView
from frontend.kernel_build.views.kernel_loop_detail_view \
    import KernelLoopDetailView
from frontend.kernel_build.views.kernel_loop_build_view \
    import KernelLoopBuildView


urlpatterns = patterns('',
    url(r'^kernel/create/$',
        KernelLoopCreateView.as_view(), name='KernelLoopCreate'),
    url(r'^kernel/detail/(?P<slug>[\w|\W]+)/$',
        KernelLoopDetailView.as_view(), name='KernelLoopDetail'),
    url(r'^kernel/update/(?P<slug>[\w|\W]+)/$',
        KernelLoopUpdateView.as_view(), name='KernelLoopUpdate'),
    url(r'^kernel/build/(?P<slug>[\w|\W]+)/$',
        KernelLoopBuildView.as_view(), name='KernelLoopBuild'),
)
