# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Loop'
        db.create_table('frontend_loop', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('server', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['jenkinsserver.JenkinsServer'])),
        ))
        db.send_create_signal('frontend', ['Loop'])

        # Adding model 'LoopBuild'
        db.create_table('frontend_loopbuild', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('loop', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['frontend.Loop'])),
            ('build_number', self.gf('django.db.models.fields.IntegerField')(default=None)),
            ('remote_number', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('duration', self.gf('django.db.models.fields.DecimalField')(max_digits=8, decimal_places=2)),
        ))
        db.send_create_signal('frontend', ['LoopBuild'])


    def backwards(self, orm):
        
        # Deleting model 'Loop'
        db.delete_table('frontend_loop')

        # Deleting model 'LoopBuild'
        db.delete_table('frontend_loopbuild')


    models = {
        'frontend.loop': {
            'Meta': {'object_name': 'Loop'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'server': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['jenkinsserver.JenkinsServer']"})
        },
        'frontend.loopbuild': {
            'Meta': {'ordering': "['-id']", 'object_name': 'LoopBuild'},
            'build_number': ('django.db.models.fields.IntegerField', [], {'default': 'None'}),
            'duration': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'loop': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['frontend.Loop']"}),
            'remote_number': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'jenkinsserver.jenkinsserver': {
            'Meta': {'object_name': 'JenkinsServer'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['frontend']
