# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Loop.next_loop'
        db.add_column('frontend_loop', 'next_loop', self.gf('django.db.models.fields.related.OneToOneField')(blank=True, related_name='previous_loop', unique=True, null=True, to=orm['frontend.Loop']), keep_default=False)

        # Changing field 'Loop.server'
        db.alter_column('frontend_loop', 'server_id', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['jenkinsserver.JenkinsServer'], null=True))


    def backwards(self, orm):
        
        # Deleting field 'Loop.next_loop'
        db.delete_column('frontend_loop', 'next_loop_id')

        # Changing field 'Loop.server'
        db.alter_column('frontend_loop', 'server_id', self.gf('django.db.models.fields.related.ForeignKey')(default=None, to=orm['jenkinsserver.JenkinsServer']))


    models = {
        'frontend.loop': {
            'Meta': {'object_name': 'Loop'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_official': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_restricted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'next_loop': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'previous_loop'", 'unique': 'True', 'null': 'True', 'to': "orm['frontend.Loop']"}),
            'server': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'to': "orm['jenkinsserver.JenkinsServer']", 'null': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'frontend.loopbuild': {
            'Meta': {'ordering': "['-id']", 'object_name': 'LoopBuild'},
            'build_number': ('django.db.models.fields.IntegerField', [], {'default': 'None'}),
            'duration': ('django.db.models.fields.DecimalField', [], {'max_digits': '8', 'decimal_places': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'loop': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['frontend.Loop']"}),
            'remote_number': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'jenkinsserver.jenkinsserver': {
            'Meta': {'object_name': 'JenkinsServer'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['frontend']
