#!/usr/bin/env python
# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls.defaults import patterns, url
from frontend.views.home_page_view import HomePageView
from frontend.views.index_view import IndexView
from frontend.views.loop_build_view import LoopBuildView
from frontend.views.loop_get_chainable_view import LoopGetChainableView


urlpatterns = patterns('',
    url(r'^$', IndexView.as_view(), name='Index'),
    url(r'^index/$', IndexView.as_view(), name='Index'),
    url(r'^home/$', HomePageView.as_view(), name='Home'),
    url(r'^loop/build/(?P<slug>[\w|\W]+)/$',
        LoopBuildView.as_view(), name='LoopBuild'),
    url(r'^loop/get_chainable/$',
        LoopGetChainableView.as_view(), name='LoopGetChainable'),

)
