#!/usr/bin/env python
# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.forms.widgets import HiddenInput
from django.forms.widgets import MultiWidget
from django.template import loader
from django.template.base import Context
from frontend.models.loop import Loop
from frontend.widgets.link_widget import LinkWidget


class ChainLoopWidget(MultiWidget):

    class Media:
        js = ("/js/frontend/next_loop_widget.js",)

    def __init__(self, attrs=None):
        _widgets = (
            HiddenInput(attrs=attrs),
            LinkWidget(attrs=attrs),
            )

        super(ChainLoopWidget, self).__init__(_widgets, attrs)

    def decompress(self, value):
        if value:
            name = Loop.objects.get(id=value).name
            return [value, name]
        return [None, None]

    def format_output(self, rendered_widgets):
        return u''.join(rendered_widgets)

    def value_from_datadict(self, data, files, name):
        return data.get("next_loop_0", None)
