#!/usr/bin/env python
# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.forms.widgets import Widget
from django.utils.safestring import mark_safe


class LinkWidget(Widget):
    '''
    A widget containing link only, text being generated from field's value.
    '''
    def __init__(self, attrs=None):
        if attrs:
            self.url = attrs["url"]
        else:
            self.url = "#"
        super(LinkWidget, self).__init__(attrs)

    def render(self, name, value, attrs=None):
        output = []
        text = value if value else "None"

        output.append('<span><a href="%s" id="%s_link">%s</a></span>' % \
                      (self.url, name, text))
        return mark_safe(u' '.join(output))
