# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.
# Django settings for dashboard project.

class AbstractTemplate(object):
    "Template class interface."

    def render(self, dict):
        pass


class TextTemplate(AbstractTemplate):

    def __init__(self, filename):
        f = open(filename)
        self.tmpl = f.read()
        f.close()

    def render(self, dict):
        return self.tmpl.format(**dict)


class XMLTemplate(TextTemplate):
    """Initial XML templating implementation is based in plain text
    templates, TODO: fix this!"""
